# MatMFFDInitializePackage

This function initializes everything in the MatMFFD package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to MatCreate_MFFD() when using static libraries.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCVEC_DLLEXPORT MatMFFDInitializePackage(const char path[])

### Input Parameter

path -The dynamic library path, or PETSC_NULL

### Keywords

Vec, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages